classification
Title: Documentation - capitalization issue
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Strijker, benjamin.peterson, cheryl.sabella, docs@python, miss-islington, utkarsh2102
Priority: normal Keywords: patch

Created on 2018-11-27 16:43 by Strijker, last changed 2019-04-30 02:26 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13008 merged utkarsh2102, 2019-04-29 11:20
PR 13018 merged miss-islington, 2019-04-30 02:20
PR 13019 merged miss-islington, 2019-04-30 02:20
Messages (6)
msg330537 - (view) Author: Hans Strijker (Strijker) Date: 2018-11-27 16:43
In the documentation I noticed "from Package import specific_submodule". I recon package should be all lowercase in accordance with pep8.
(https://www.python.org/dev/peps/pep-0008/#package-and-module-names)

It may be far from the most important bug ever, but it's my first bug reported, and gotta start small... :-)

https://docs.python.org/3/tutorial/modules.html#importing-from-a-package

6.4.1. Importing * From a Package
...
Remember, there is nothing wrong with using from Package import specific_submodule! In fact, this is the recommended notation unless the importing module needs to use submodules with the same name from different packages.
msg340305 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-04-15 20:18
Hi Hans,

Would you be interested in making a pull request with this change?  Thanks!
msg341067 - (view) Author: Utkarsh Gupta (utkarsh2102) * Date: 2019-04-29 11:15
Hey,

I'd be happy to submit one :)
msg341132 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-04-30 02:20
New changeset ee0309f3d83ab9ffa02542bcf45ece84f4fb265e by Benjamin Peterson (Utkarsh Gupta) in branch 'master':
closes bpo-35329: Change 'Package' to 'package' in accordance with PEP8. (GH-13008)
https://github.com/python/cpython/commit/ee0309f3d83ab9ffa02542bcf45ece84f4fb265e
msg341133 - (view) Author: miss-islington (miss-islington) Date: 2019-04-30 02:25
New changeset 3e5c4a7c804c3ad76a558e5463655c329aee6437 by Miss Islington (bot) in branch '2.7':
closes bpo-35329: Change 'Package' to 'package' in accordance with PEP8. (GH-13008)
https://github.com/python/cpython/commit/3e5c4a7c804c3ad76a558e5463655c329aee6437
msg341134 - (view) Author: miss-islington (miss-islington) Date: 2019-04-30 02:26
New changeset 4b5340bb634be2ee2a40242cdf4e3f7a0b6c757a by Miss Islington (bot) in branch '3.7':
closes bpo-35329: Change 'Package' to 'package' in accordance with PEP8. (GH-13008)
https://github.com/python/cpython/commit/4b5340bb634be2ee2a40242cdf4e3f7a0b6c757a
History
Date User Action Args
2019-04-30 02:26:03miss-islingtonsetmessages: + msg341134
2019-04-30 02:25:44miss-islingtonsetnosy: + miss-islington
messages: + msg341133
2019-04-30 02:20:33miss-islingtonsetpull_requests: + pull_request12942
2019-04-30 02:20:24miss-islingtonsetpull_requests: + pull_request12941
2019-04-30 02:20:10benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg341132

resolution: fixed
stage: patch review -> resolved
2019-04-29 11:20:26utkarsh2102setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12929
2019-04-29 11:15:50utkarsh2102setnosy: + utkarsh2102
messages: + msg341067
2019-04-15 20:18:17cheryl.sabellasetversions: + Python 3.8
nosy: + cheryl.sabella

messages: + msg340305

type: enhancement
stage: needs patch
2018-11-27 16:43:56Strijkercreate